--- platform/osx/os_osx.mm.orig	2023-09-24 16:26:39.000000000 -0400
+++ platform/osx/os_osx.mm	2023-10-09 15:34:19.000000000 -0400
@@ -3019,7 +3019,7 @@
 }
 
 Error OS_OSX::execute(const String &p_path, const List<String> &p_arguments, bool p_blocking, ProcessID *r_child_id, String *r_pipe, int *r_exitcode, bool read_stderr, Mutex *p_pipe_mutex, bool p_open_console) {
-	if (@available(macOS 10.15, *)) {
+	#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ >= 101500
 		NSString *nsappname = [[[NSBundle mainBundle] infoDictionary] objectForKey:@"CFBundleName"];
 		// If executable is bundled, always execute editor instances using NSWorkspace to ensure app window is registered and activated correctly.
 		if (p_path == get_executable_path() && nsappname != nil) {
@@ -3067,9 +3067,9 @@
 		} else {
 			return OS_Unix::execute(p_path, p_arguments, p_blocking, r_child_id, r_pipe, r_exitcode, read_stderr, p_pipe_mutex, p_open_console);
 		}
-	} else {
+	#else
 		return OS_Unix::execute(p_path, p_arguments, p_blocking, r_child_id, r_pipe, r_exitcode, read_stderr, p_pipe_mutex, p_open_console);
-	}
+	#endif
 }
 
 // Returns string representation of keys, if they are printable.
